# eric7.Plugins.VcsPlugins.vcsMercurial.HgCommitDialog

Module implementing a dialog to enter the commit message.

### Global Attributes

None

### Classes

HgCommitDialog | Class implementing a dialog to enter the commit message.

### Functions

None

## HgCommitDialog

Class implementing a dialog to enter the commit message.

### Signals

accepted()
  emitted, if the dialog was accepted
rejected()
  emitted, if the dialog was rejected

### Derived from

QWidget, Ui_HgCommitDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgCommitDialog | Constructor
getCommitData | Public method to retrieve the entered data for the commit.
on_buttonBox_accepted | Private slot called by the buttonBox accepted signal.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_buttonBox_rejected | Private slot called by the buttonBox rejected signal.
on_recentComboBox_activated | Private slot to select a commit message from recent ones.
showEvent | Protected method called when the dialog is about to be shown.

### Static Methods

None

#### HgCommitDialog (Constructor)

HgCommitDialog(vcs, msg, mq, merge, parent=None)

Constructor

vcs
  reference to the vcs object
msg
  initial message (string)
mq
  flag indicating a queue commit (boolean)
merge
  flag indicating a merge commit (boolean)
parent
  parent widget (QWidget)

#### HgCommitDialog.getCommitData

getCommitData()

Public method to retrieve the entered data for the commit.

Return:
  tuple containing the log message, a flag indicating to amend the last commit, a flag indicating to commit subrepositories as well, name of the author and date/time of the commit

Return Type:
  tuple of str, bool, bool, str, str

#### HgCommitDialog.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot called by the buttonBox accepted signal.

#### HgCommitDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgCommitDialog.on_buttonBox_rejected

on_buttonBox_rejected()

Private slot called by the buttonBox rejected signal.

#### HgCommitDialog.on_recentComboBox_activated

on_recentComboBox_activated(index)

Private slot to select a commit message from recent ones.

index (int)
  index of the selected entry

#### HgCommitDialog.showEvent

showEvent(evt)

Protected method called when the dialog is about to be shown.

evt
  the event (QShowEvent)

Up